List teamspace projects
GET/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/projects/
List the projects linked to a teamspace, one cursor page at a time. Each result is a project object.
Workspace Owners and Admins can list projects of any teamspace. Other users must be members of that teamspace.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
teamspace_id:requiredstringThe unique identifier of the teamspace.
Query Parameters
cursor:optionalstringPagination cursor for getting next set of results
per_page:optionalintegerNumber of results per page (default: 20, max: 100)
Scopes
read, teamspaces:read, or teamspaces.projects:read
List teamspace projects
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/projects/?cursor=20:1:0&per_page=20" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/projects/?cursor=20:1:0&per_page=20",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/projects/?cursor=20:1:0&per_page=20",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response200
json
{
"grouped_by": null,
"sub_grouped_by": null,
"total_count": 1,
"next_cursor": "20:1:0",
"prev_cursor": "20:0:0",
"next_page_results": false,
"prev_page_results": false,
"count": 1,
"total_pages": 1,
"total_results": 1,
"total_groups": null,
"next_group_offset": null,
"sub_total_groups": null,
"sub_next_group_offset": null,
"extra_stats": null,
"results": [
{
"id": "00918ea1-52f7-48bd-abe3-d3efe76ff7dd",
"created_at": "2023-11-19T10:40:15.426652Z",
"updated_at": "2023-11-19T10:40:15.426672Z",
"name": "Project X",
"description": "",
"identifier": "PROJX",
"network": 2,
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project_lead": "16c61a3a-512a-48ac-b0be-b6b46fe6f430"
}
]
}
